'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getWeakMap = exports.getClassInstance = exports.getPrivateMethodsMap = undefined;

var _babelTypes = require('babel-types');

var getPrivateMethodsMap = function getPrivateMethodsMap(className) {
  return (0, _babelTypes.identifier)('privateMethodsOf' + className);
};
var getClassInstance = function getClassInstance(className) {
  return (0, _babelTypes.identifier)('instanceOf' + className);
};
var getWeakMap = function getWeakMap(className) {
  return (0, _babelTypes.identifier)('privateAttributesOf' + className);
};

exports.getPrivateMethodsMap = getPrivateMethodsMap;
exports.getClassInstance = getClassInstance;
exports.getWeakMap = getWeakMap;